Index: chan_h323.h
===================================================================
RCS file: /usr/cvsroot/asterisk/channels/h323/chan_h323.h,v
retrieving revision 1.27.2.1
diff -u -5 -r1.27.2.1 chan_h323.h
--- chan_h323.h	14 Oct 2004 23:45:09 -0000	1.27.2.1
+++ chan_h323.h	23 Oct 2004 11:14:03 -0000
@@ -112,11 +112,11 @@
 	unsigned int port;
 } rtp_info_t;
 
 /* This is a callback prototype function, called pass
    DTMF down the RTP. */
-typedef int (*send_digit_cb)(unsigned, const char *);
+typedef int (*send_digit_cb)(unsigned, char, const char *);
 extern send_digit_cb	on_send_digit; 
 
 /* This is a callback prototype function, called to collect
    the external RTP port from Asterisk. */
 typedef rtp_info_t *(*on_connection_cb)(unsigned, const char *);
Index: ast_h323.cpp
===================================================================
RCS file: /usr/cvsroot/asterisk/channels/h323/ast_h323.cpp,v
retrieving revision 1.59
diff -u -5 -r1.59 ast_h323.cpp
--- ast_h323.cpp	21 Sep 2004 18:42:37 -0000	1.59
+++ ast_h323.cpp	23 Oct 2004 11:14:03 -0000
@@ -720,32 +720,32 @@
 void MyH323Connection::SendUserInputTone(char tone, unsigned duration)
 {
 	if (h323debug) {
 		cout << "	-- Sending user input tone (" << tone << ") to remote" << endl;
 	}
-	on_send_digit(GetCallReference(), tone);	
+	on_send_digit(GetCallReference(), tone, (const char *)GetCallToken());	
 	H323Connection::SendUserInputTone(tone, duration);
 }
 
 void MyH323Connection::OnUserInputTone(char tone, unsigned duration, unsigned logicalChannel, unsigned rtpTimestamp)
 {
 	if (mode == H323_DTMF_INBAND) {
 		if (h323debug) {
 			cout << "	-- Received user input tone (" << tone << ") from remote" << endl;
 		}
-		on_send_digit(GetCallReference(), tone);
+		on_send_digit(GetCallReference(), tone, (const char *)GetCallToken());	
 	}
 	H323Connection::OnUserInputTone(tone, duration, logicalChannel, rtpTimestamp);
 }
 
 void MyH323Connection::OnUserInputString(const PString &value)
 {
 	if (mode == H323_DTMF_RFC2833) {
 		if (h323debug) {
 			cout <<  "	-- Received user input string (" << value << ") from remote." << endl;
 		}
-		on_send_digit(GetCallReference(), value[0]);
+		on_send_digit(GetCallReference(), value[0], (const char *)GetCallToken());
 	}	
 }
 
 H323Channel * MyH323Connection::CreateRealTimeLogicalChannel(const H323Capability & capability,	
 								   H323Channel::Directions dir,
